package com.fuzamei.service;

import java.util.List;
import java.util.Map;

import com.fuzamei.entity.OperationHistoryAdmin;
import com.fuzamei.entity.Role;
import com.fuzamei.entity.User;
import com.fuzamei.util.PageDTO;

public interface UserService {
	public List<Role> getAllRoles();//查询得到所有角色
	public PageDTO queryUsers(Map<String, Object> map);//查看所有账户列表
	public void updateAccountByUserId(User user);//编辑修改用户
	public  void  insertUsers(User user);//添加账号角色名称
	public List<User> findUserById(User user);//根据id查询账号是否已存在
	public int findUserByuserIdandusername(User user);
	//public int queryUserscount(Map<String, Object> map);//查询总条数
	public void deleteFromUserId(User user);//批量删除
	public  int queryRondomRepetition(String random);//查询前端传来得随机数  数据库是否有一样得
	public  int queryUserIdMax();//查询数据库最大得userid  每次+1
	
	
}
